Browse Source

Merge "Make puppet-tripleo compatible with latest puppet-rabbitmq" into stable/stein

changes/22/738622/1
Zuul 2 weeks ago
committed by Gerrit Code Review
parent
commit
37a2c61c9c
2 changed files with 0 additions and 8 deletions
  1. +0
    -4
      manifests/certmonger/rabbitmq.pp
  2. +0
    -4
      spec/classes/tripleo_certmonger_rabbitmq_spec.rb

+ 0
- 4
manifests/certmonger/rabbitmq.pp View File

@@ -48,7 +48,6 @@ class tripleo::certmonger::rabbitmq (
$principal = undef,
) {
include ::certmonger
include ::rabbitmq::params

ensure_resource('file', '/usr/bin/certmonger-rabbitmq-refresh.sh', {
source => 'puppet:///modules/tripleo/certmonger-rabbitmq-refresh.sh',
@@ -76,7 +75,4 @@ class tripleo::certmonger::rabbitmq (
file { $service_key :
require => Certmonger_certificate['rabbitmq'],
}

File[$service_certificate] ~> Service<| title == $::rabbitmq::params::service_name |>
File[$service_key] ~> Service<| title == $::rabbitmq::params::service_name |>
}

+ 0
- 4
spec/classes/tripleo_certmonger_rabbitmq_spec.rb View File

@@ -33,10 +33,6 @@ describe 'tripleo::certmonger::rabbitmq' do
is_expected.to contain_class('certmonger')
end

it 'should include the rabbitmq parameters' do
is_expected.to contain_class('rabbitmq::params')
end

it 'should request a certificate' do
is_expected.to contain_certmonger_certificate('rabbitmq').with(
:ensure => 'present',


Loading…
Cancel
Save